package com.me.brickbuster;

import com.badlogic.gdx.Game;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.GL20;
import com.badlogic.gdx.graphics.g2d.BitmapFont;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;
import com.badlogic.gdx.graphics.glutils.ShapeRenderer;
import com.me.brickbuster.state.PlayState;

public class BrickBuster extends Game {

	public static final int WIDTH = 800;
	public static final int HEIGHT = 600;
	public static final String TITLE = "Brick Buster";

	public BitmapFont font;
	public SpriteBatch sb;
	public ShapeRenderer sr;

	@Override
	public void create () {
		font = new BitmapFont();
		sb = new SpriteBatch();
		sr = new ShapeRenderer();

		setScreen(new PlayState(this));
	}

	@Override
	public void render () {
		Gdx.gl.glClearColor(0.5f,1,1,1);
		Gdx.gl.glClear(GL20.GL_COLOR_BUFFER_BIT);
		// Render the current Screen (State)
		super.render();
	}

}
