package com.me.brickbuster.entity.powerup;

import com.badlogic.gdx.graphics.Color;
import com.me.brickbuster.entity.Brick;
import com.me.brickbuster.entity.Paddle;
import com.me.brickbuster.state.PlayState;

public class LongerPaddlePowerUp extends PowerUp {

	public LongerPaddlePowerUp(PlayState state, Brick brick) {
		super(state, brick, Color.OLIVE);
	}

	@Override
	public void activate() {
		if (state.paddle.getWidth() < 250) {
			state.paddle.setWidth(state.paddle.getWidth() + 50);
		}
	}
}
